
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.2.3</title>
</head><body onload="loadPkgPane('HttpCore NIO 4.2.3: org.apache.http.nio.protocol', 'pkg-app.html');">
  <!-- render overall pkg coverage graph -->
<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:36:27 CET</div>

        
                <div class="navBar"><span class="navBarCurrent">App</span>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<a href="pkg-risks.html">Clouds</a></div>
        
                    	<div class="navBar"><a href="../../../../../pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Package</span>&nbsp;&nbsp;&nbsp;File</div>
            
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="pkg-summary.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.nio.protocol:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      1,892
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      7,942
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      820
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.63
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      650
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      4,510
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.43
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      7.57
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      409
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      41
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      54
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.nio.protocol:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      1,892
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      7,942
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      820
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.63
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      650
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      4,510
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.43
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      7.57
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      409
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      41
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      2
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      54
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>

<tr>
  <td class="graphHeaderLeft"><b>&nbsp;Package</b></td>
  <td class="graphHeader headerTitle" colspan="1"><label >Files</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></td>
  <td class="graphHeader headerTitle" colspan="2"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></td>
</tr>

  <tr>
    <td class="graphItem">
			<a class='cloudLink' href='pkg-risks.html'><img alt='Cloud icon for org.apache.http.nio.protocol' src='../../../../..//img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.nio.protocol</span>
    	   org.apache.http.nio.protocol
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">41.0</span>
          41
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.00489</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">661.0</span>
          661
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.7760081</span>
          77.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.7760081</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="22.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="77.6% Covered" class="barPositive " style="width: 77.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>

<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Class</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Methods</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr>  <!-- render list of class coverage graphs -->
                                                                 <tr>
    <td class="graphItem">
			
	        <span class="sortValue">BufferingHttpClientHandler</span>
    	  <a href="BufferingHttpClientHandler.html#BufferingHttpClientHandler" title="BufferingHttpClientHandler">BufferingHttpClientHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">12.0</span>
          12
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">24.0</span>
          24
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">BufferingHttpClientHandler.ExecutionHandlerAdaptor</span>
    	  <a href="BufferingHttpClientHandler.html#BufferingHttpClientHandler.ExecutionHandlerAdaptor" title="BufferingHttpClientHandler.ExecutionHandlerAdaptor">BufferingHttpClientHandler.ExecutionHandlerAdaptor</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">13.0</span>
          13
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NHttpRequestHandlerRegistry</span>
    	  <a href="NHttpRequestHandlerRegistry.html#NHttpRequestHandlerRegistry" title="NHttpRequestHandlerRegistry">NHttpRequestHandlerRegistry</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">12.0</span>
          12
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NHttpHandlerBase</span>
    	  <a href="NHttpHandlerBase.html#NHttpHandlerBase" title="NHttpHandlerBase">NHttpHandlerBase</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.857143</span>
          2.86
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">33.0</span>
          33
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.4107143</span>
          41.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.4107143</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="58.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="41.1% Covered" class="barPositive " style="width: 41.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">HttpAsyncRequestHandlerRegistry</span>
    	  <a href="HttpAsyncRequestHandlerRegistry.html#HttpAsyncRequestHandlerRegistry" title="HttpAsyncRequestHandlerRegistry">HttpAsyncRequestHandlerRegistry</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.5</span>
          50%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.5</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="50% Covered" class="barPositive " style="width: 50%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NullRequestConsumer</span>
    	  <a href="NullRequestConsumer.html#NullRequestConsumer" title="NullRequestConsumer">NullRequestConsumer</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">9.0</span>
          9
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.1111112</span>
          1.11
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">11.0</span>
          11
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.5217391</span>
          52.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.5217391</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="47.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="52.2% Covered" class="barPositive " style="width: 52.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">AsyncNHttpServiceHandler.ResponseTriggerImpl</span>
    	  <a href="AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler.ResponseTriggerImpl" title="AsyncNHttpServiceHandler.ResponseTriggerImpl">AsyncNHttpServiceHandler.ResponseTriggerImpl</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">14.0</span>
          14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.5625</span>
          56.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.5625</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="43.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="56.2% Covered" class="barPositive " style="width: 56.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NullNHttpEntity</span>
    	  <a href="NullNHttpEntity.html#NullNHttpEntity" title="NullNHttpEntity">NullNHttpEntity</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.1428572</span>
          1.14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.57894737</span>
          57.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.57894737</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="42.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="57.9% Covered" class="barPositive " style="width: 57.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">ThrottlingHttpServiceHandler</span>
    	  <a href="ThrottlingHttpServiceHandler.html#ThrottlingHttpServiceHandler" title="ThrottlingHttpServiceHandler">ThrottlingHttpServiceHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">17.0</span>
          17
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.7647057</span>
          4.76
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">133.0</span>
          133
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.62215906</span>
          62.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.62215906</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="37.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="62.2% Covered" class="barPositive " style="width: 62.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">ThrottlingHttpClientHandler</span>
    	  <a href="ThrottlingHttpClientHandler.html#ThrottlingHttpClientHandler" title="ThrottlingHttpClientHandler">ThrottlingHttpClientHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">17.0</span>
          17
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0588236</span>
          4.06
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">107.0</span>
          107
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6525974</span>
          65.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6525974</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="34.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="65.3% Covered" class="barPositive " style="width: 65.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">AsyncNHttpClientHandler</span>
    	  <a href="AsyncNHttpClientHandler.html#AsyncNHttpClientHandler" title="AsyncNHttpClientHandler">AsyncNHttpClientHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">15.0</span>
          15
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0666666</span>
          4.07
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">83.0</span>
          83
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6612245</span>
          66.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6612245</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="33.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="66.1% Covered" class="barPositive " style="width: 66.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">BufferingHttpServiceHandler</span>
    	  <a href="BufferingHttpServiceHandler.html#BufferingHttpServiceHandler" title="BufferingHttpServiceHandler">BufferingHttpServiceHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">14.0</span>
          14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">10.0</span>
          10
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6666667</span>
          66.7%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6666667</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="33.3% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="66.7% Covered" class="barPositive " style="width: 66.7%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">AsyncNHttpServiceHandler</span>
    	  <a href="AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler" title="AsyncNHttpServiceHandler">AsyncNHttpServiceHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">18.0</span>
          18
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">98.0</span>
          98
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6677966</span>
          66.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6677966</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="33.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="66.8% Covered" class="barPositive " style="width: 66.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">BufferingHttpServiceHandler.RequestHandlerAdaptor</span>
    	  <a href="BufferingHttpServiceHandler.html#BufferingHttpServiceHandler.RequestHandlerAdaptor" title="BufferingHttpServiceHandler.RequestHandlerAdaptor">BufferingHttpServiceHandler.RequestHandlerAdaptor</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.71428573</span>
          71.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.71428573</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="28.6% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="71.4% Covered" class="barPositive " style="width: 71.4%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">BufferingHttpServiceHandler.RequestHandlerResolverAdaptor</span>
    	  <a href="BufferingHttpServiceHandler.html#BufferingHttpServiceHandler.RequestHandlerResolverAdaptor" title="BufferingHttpServiceHandler.RequestHandlerResolverAdaptor">BufferingHttpServiceHandler.RequestHandlerResolverAdaptor</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.71428573</span>
          71.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.71428573</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="28.6% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="71.4% Covered" class="barPositive " style="width: 71.4%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">HttpAsyncService.Exchange</span>
    	  <a href="HttpAsyncService.html#HttpAsyncService.Exchange" title="HttpAsyncService.Exchange">HttpAsyncService.Exchange</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">9.0</span>
          9
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.7777778</span>
          1.78
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">11.0</span>
          11
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.7755102</span>
          77.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.7755102</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="22.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="77.6% Covered" class="barPositive " style="width: 77.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">ThrottlingHttpServiceHandler.ServerConnState</span>
    	  <a href="ThrottlingHttpServiceHandler.html#ThrottlingHttpServiceHandler.ServerConnState" title="ThrottlingHttpServiceHandler.ServerConnState">ThrottlingHttpServiceHandler.ServerConnState</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">17.0</span>
          17
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">9.0</span>
          9
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.81632656</span>
          81.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.81632656</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="18.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="81.6% Covered" class="barPositive " style="width: 81.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">AsyncNHttpServiceHandler.ServerConnState</span>
    	  <a href="AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler.ServerConnState" title="AsyncNHttpServiceHandler.ServerConnState">AsyncNHttpServiceHandler.ServerConnState</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">23.0</span>
          23
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0869565</span>
          1.09
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">10.0</span>
          10
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8360656</span>
          83.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8360656</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="16.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="83.6% Covered" class="barPositive " style="width: 83.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">BasicAsyncResponseProducer</span>
    	  <a href="BasicAsyncResponseProducer.html#BasicAsyncResponseProducer" title="BasicAsyncResponseProducer">BasicAsyncResponseProducer</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.142857</span>
          2.14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.85106385</span>
          85.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.85106385</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="14.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="85.1% Covered" class="barPositive " style="width: 85.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">BasicAsyncRequestConsumer</span>
    	  <a href="BasicAsyncRequestConsumer.html#BasicAsyncRequestConsumer" title="BasicAsyncRequestConsumer">BasicAsyncRequestConsumer</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5</span>
          1.5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8518519</span>
          85.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8518519</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="14.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="85.2% Covered" class="barPositive " style="width: 85.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">BasicAsyncResponseConsumer</span>
    	  <a href="BasicAsyncResponseConsumer.html#BasicAsyncResponseConsumer" title="BasicAsyncResponseConsumer">BasicAsyncResponseConsumer</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5</span>
          1.5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8518519</span>
          85.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8518519</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="14.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="85.2% Covered" class="barPositive " style="width: 85.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">BasicAsyncRequestProducer</span>
    	  <a href="BasicAsyncRequestProducer.html#BasicAsyncRequestProducer" title="BasicAsyncRequestProducer">BasicAsyncRequestProducer</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">10.0</span>
          10
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.2</span>
          2.2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">9.0</span>
          9
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8695652</span>
          87%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8695652</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="13% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="87% Covered" class="barPositive " style="width: 87%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">AbstractAsyncRequestConsumer</span>
    	  <a href="AbstractAsyncRequestConsumer.html#AbstractAsyncRequestConsumer" title="AbstractAsyncRequestConsumer">AbstractAsyncRequestConsumer</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">9.0</span>
          9
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.6666666</span>
          1.67
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8913044</span>
          89.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8913044</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="10.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="89.1% Covered" class="barPositive " style="width: 89.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">ThrottlingHttpClientHandler.ClientConnState</span>
    	  <a href="ThrottlingHttpClientHandler.html#ThrottlingHttpClientHandler.ClientConnState" title="ThrottlingHttpClientHandler.ClientConnState">ThrottlingHttpClientHandler.ClientConnState</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">19.0</span>
          19
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.90384614</span>
          90.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.90384614</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="9.6% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="90.4% Covered" class="barPositive " style="width: 90.4%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">HttpAsyncRequester.ConnRequestCallback</span>
    	  <a href="HttpAsyncRequester.html#HttpAsyncRequester.ConnRequestCallback" title="HttpAsyncRequester.ConnRequestCallback">HttpAsyncRequester.ConnRequestCallback</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.6</span>
          1.6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.94285715</span>
          94.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.94285715</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="5.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="94.3% Covered" class="barPositive " style="width: 94.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">HttpAsyncService</span>
    	  <a href="HttpAsyncService.html#HttpAsyncService" title="HttpAsyncService">HttpAsyncService</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">24.0</span>
          24
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.2916667</span>
          3.29
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">20.0</span>
          20
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.94285715</span>
          94.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.94285715</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="5.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="94.3% Covered" class="barPositive " style="width: 94.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">HttpAsyncRequestExecutor</span>
    	  <a href="HttpAsyncRequestExecutor.html#HttpAsyncRequestExecutor" title="HttpAsyncRequestExecutor">HttpAsyncRequestExecutor</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">19.0</span>
          19
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">11.0</span>
          11
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9539749</span>
          95.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9539749</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="4.6% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="95.4% Covered" class="barPositive " style="width: 95.4%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">ErrorResponseProducer</span>
    	  <a href="ErrorResponseProducer.html#ErrorResponseProducer" title="ErrorResponseProducer">ErrorResponseProducer</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.3333334</span>
          1.33
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9583333</span>
          95.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9583333</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="4.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="95.8% Covered" class="barPositive " style="width: 95.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">AsyncNHttpClientHandler.ClientConnState</span>
    	  <a href="AsyncNHttpClientHandler.html#AsyncNHttpClientHandler.ClientConnState" title="AsyncNHttpClientHandler.ClientConnState">AsyncNHttpClientHandler.ClientConnState</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">18.0</span>
          18
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.1111112</span>
          1.11
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9591837</span>
          95.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9591837</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="4.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="95.9% Covered" class="barPositive " style="width: 95.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">HttpAsyncRequester</span>
    	  <a href="HttpAsyncRequester.html#HttpAsyncRequester" title="HttpAsyncRequester">HttpAsyncRequester</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">9.0</span>
          9
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.1111112</span>
          2.11
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9692308</span>
          96.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9692308</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="3.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="96.9% Covered" class="barPositive " style="width: 96.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">AbstractAsyncResponseConsumer</span>
    	  <a href="AbstractAsyncResponseConsumer.html#AbstractAsyncResponseConsumer" title="AbstractAsyncResponseConsumer">AbstractAsyncResponseConsumer</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">10.0</span>
          10
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.6</span>
          1.6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.98039216</span>
          98%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.98039216</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="98% Covered" class="barPositive " style="width: 98%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">HttpAsyncRequestExecutor.State</span>
    	  <a href="HttpAsyncRequestExecutor.html#HttpAsyncRequestExecutor.State" title="HttpAsyncRequestExecutor.State">HttpAsyncRequestExecutor.State</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">15.0</span>
          15
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.1333333</span>
          1.13
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9818182</span>
          98.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9818182</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="1.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="98.2% Covered" class="barPositive " style="width: 98.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">BasicAsyncRequestExecutionHandler</span>
    	  <a href="BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler" title="BasicAsyncRequestExecutionHandler">BasicAsyncRequestExecutionHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">22.0</span>
          22
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5909091</span>
          1.59
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9909091</span>
          99.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9909091</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="99.1% Covered" class="barPositive " style="width: 99.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">BasicAsyncRequestHandler</span>
    	  <a href="BasicAsyncRequestHandler.html#BasicAsyncRequestHandler" title="BasicAsyncRequestHandler">BasicAsyncRequestHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.3333334</span>
          1.33
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">HttpAsyncRequester.RequestExecutionCallback</span>
    	  <a href="HttpAsyncRequester.html#HttpAsyncRequester.RequestExecutionCallback" title="HttpAsyncRequester.RequestExecutionCallback">HttpAsyncRequester.RequestExecutionCallback</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">HttpAsyncService.State</span>
    	  <a href="HttpAsyncService.html#HttpAsyncService.State" title="HttpAsyncService.State">HttpAsyncService.State</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">22.0</span>
          22
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0909091</span>
          1.09
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">NullRequestHandler</span>
    	  <a href="NullRequestHandler.html#NullRequestHandler" title="NullRequestHandler">NullRequestHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">SimpleNHttpRequestHandler</span>
    	  <a href="SimpleNHttpRequestHandler.html#SimpleNHttpRequestHandler" title="SimpleNHttpRequestHandler">SimpleNHttpRequestHandler</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:36:54 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>